package com.ruoyi.mall.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 秒杀商品对象 mall_seckill_goods
 *
 * @author ruoyi
 * @date 2022-07-01
 */
public class MallSeckillGoods extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    @Excel(name = "id")
    private Integer id;

    /** 商品id */
    private Integer goodsId;

    /** 商品名称 */
    private String goodsName;

    /** 商品title */
    private String goodsTitle;

    /** 商品logo */
    private String goodsImg;

    /** 商品分类 */
    private String className;

    /** 秒杀时间 */
    private String seckillTime;

    /** 秒杀价 */
    @Excel(name = "秒杀价")
    private BigDecimal price;

    /** 库存 */
    @Excel(name = "库存")
    private Integer stock;

    /** 时间id */
    @Excel(name = "时间id")
    private Integer timeId;

    /** 结束时间 */
    @Excel(name = "结束时间")
    private String endTime;

    /** 销量 */
    @Excel(name = "销量")
    private Integer saleNum;

    /** 状态（0-显示，1-隐藏） */
    @Excel(name = "状态")
    private Integer status;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 删除标记 */
    @Excel(name = "删除标记")
    private Integer delFlag;

    /** 限购 */
    private Integer purchaseLimits;

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsTitle() {
        return goodsTitle;
    }

    public void setGoodsTitle(String goodsTitle) {
        this.goodsTitle = goodsTitle;
    }

    public String getGoodsImg() {
        return goodsImg;
    }

    public void setGoodsImg(String goodsImg) {
        this.goodsImg = goodsImg;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getSeckillTime() {
        return seckillTime;
    }

    public void setSeckillTime(String seckillTime) {
        this.seckillTime = seckillTime;
    }

    public Integer getPurchaseLimits() {
        return purchaseLimits;
    }

    public void setPurchaseLimits(Integer purchaseLimits) {
        this.purchaseLimits = purchaseLimits;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public void setId(Integer id)
    {
        this.id = id;
    }

    public Integer getId()
    {
        return id;
    }
    public void setGoodsId(Integer goodsId)
    {
        this.goodsId = goodsId;
    }

    public Integer getGoodsId()
    {
        return goodsId;
    }
    public void setPrice(BigDecimal price)
    {
        this.price = price;
    }

    public BigDecimal getPrice()
    {
        return price;
    }
    public void setStock(Integer stock)
    {
        this.stock = stock;
    }

    public Integer getStock()
    {
        return stock;
    }
    public void setTimeId(Integer timeId)
    {
        this.timeId = timeId;
    }

    public Integer getTimeId()
    {
        return timeId;
    }
    public void setEndTime(String endTime)
    {
        this.endTime = endTime;
    }

    public String getEndTime()
    {
        return endTime;
    }
    public void setSaleNum(Integer saleNum)
    {
        this.saleNum = saleNum;
    }

    public Integer getSaleNum()
    {
        return saleNum;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setDelFlag(Integer delFlag)
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("goodsId", getGoodsId())
            .append("price", getPrice())
            .append("stock", getStock())
            .append("timeId", getTimeId())
            .append("endTime", getEndTime())
            .append("saleNum", getSaleNum())
            .append("createAt", getCreateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
